[![Build Status](https://travis-ci.org/mg6maciej/android-maps-extensions.svg?branch=develop)](https://travis-ci.org/mg6maciej/android-maps-extensions)

Android Maps Extensions
=======================

Library extending capabilities of Google Maps Android API v2.  
While [Google Maps Android API v2](https://developers.google.com/maps/documentation/android/)
is a huge leap forward comapared to its predecessor,
it lacks commonly used patterns like marker clustering.
This library aims to fill this gap by adding many useful features
and improving on the responsiveness issues of the official Google library.  
See [wiki](https://github.com/mg6maciej/android-maps-extensions/wiki) for more details.

Usage
=====

You may use any version of [Google Play Services](https://developer.android.com/google/play-services/index.html) from 3.2.65 (the last working on Android API 8) or above.

Gradle
------
```Groovy
dependencies {
    compile 'com.androidmapsextensions:android-maps-extensions:2.2.0'
    compile 'com.google.android.gms:play-services-maps:6.5.87'
}
```

Developed by
============

* Maciej Górski - <maciek.gorski@gmail.com>

Contributing
============

Contributions are welcome and much appreciated.
Just [fork](https://github.com/mg6maciej/android-maps-extensions/fork),
create [a feature branch](http://nvie.com/posts/a-successful-git-branching-model/),
do your things and send a pull request.  
You may also contribute by creating or commenting on
[issues](https://github.com/mg6maciej/android-maps-extensions/issues),
edititing or adding [wiki](https://github.com/mg6maciej/android-maps-extensions/wiki)
or even do cool things like creating a YouTube video.

License
=======

    Copyright (C) 2013 Maciej Górski

    Licensed under the Apache License, Version 2.0 (the "License");
    you may not use this file except in compliance with the License.
    You may obtain a copy of the License at

          http://www.apache.org/licenses/LICENSE-2.0

    Unless required by applicable law or agreed to in writing, software
    distributed under the License is distributed on an "AS IS" BASIS,
    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    See the License for the specific language governing permissions and
    limitations under the License.
